module Mooset
  module Endpoints
    class Ldap
      class Ou < Group
        def self.build(endpoint, params)
          group = Optional.new(params)
          new(
            endpoint: endpoint,
            id: group[:dn].first.value,
            dn: group[:dn].first.value,
            name: group[:ou].first.value
          )
        end

        def members
          endpoint.users.query('(&(objectClass=user)(!(useraccountcontrol:1.2.840.113556.1.4.803:=2)))', base: dn)
        end
      end
    end
  end
end

