module Mooset
  module Endpoints
    class Null
      class GroupSearch < Resource
        def create(u)
          model = Group.new(u.attributes)
          model.send :define_singleton_method, :'<<' do |other|
            logger.info "#{self} << #{other}"
          end

          model
        end

        import :gitlab do |gr|
          g = create(gr)
          g.send :define_singleton_method, :members do
            []
          end
          g
        end

        import :ldap do |gr|
          g = create(gr)
          g.send :define_singleton_method, :members do
            []
          end
          g
        end
      end
    end
  end
end
