module Mooset
  module Endpoints
    class Null
      class UserSearch < Resource
        def create(u)
          User.new(id: u.id, username: u.username, email: u.email)
        end

        def import(from, *args)
          User.new(args)
        end

        def find_from_hash(hash)
          User.new(hash)
        end

        def find_from_object(object, *args)
          User.new(object.attributes)
        end
      end
    end
  end
end
